Bug 30863 - bootpd(8) dovend.c Win95 compatibility improvement and typos in error messages
Summary: bootpd(8) dovend.c Win95 compatibility improvement and typos in error messages
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 4.4-STABLE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2001-09-27 09:00 UTC by Dan Lukes
Modified: 2019-05-28 13:15 UTC (History)
2 users (show)

See Also:


Attachments
file.diff (1.30 KB, patch)
2001-09-27 09:00 UTC, Dan Lukes
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Lukes 2001-09-27 09:00:01 UTC
	There are several copy&paste typos in NEED macro causing incorrect
error messages.

	Win95 release ignore dn (domain-name) field unless <NUL> terminated.
Padding shouldn't cause a problem on other systems
Comment 1 iedowse 2001-09-29 12:59:19 UTC
In message <200109270142.f8R1gEH43139@xkulesh.vol.cz>, Dan Lukes writes:
>
>	Win95 release ignore dn (domain-name) field unless <NUL> terminated.
>Padding shouldn't cause a problem on other systems

Hi,

The ISC dhcpd only NUL-terminates replies when it detects a Microsoft
client that requires it:

        /* Set a flag if this client is a lame Microsoft client that NUL
           terminates string options and expects us to do likewise. */
        if (packet -> options [DHO_HOST_NAME].data &&
            packet -> options [DHO_HOST_NAME].data
            [packet -> options [DHO_HOST_NAME].len - 1] == '\0')
                lease -> flags |= MS_NULL_TERMINATION;
        else
                lease -> flags &= ~MS_NULL_TERMINATION;

How easy would it be to do something like this in our bootpd instead?
ISC-dhcpd is much more actively developed and widely used than bootpd
is, so it's probably better to try and follow dhcpd's approach where
possible to avoid problems that they may have already solved.

Ian
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:00:21 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped
Comment 3 commit-hook freebsd_committer 2019-05-21 21:27:26 UTC
A commit references this bug:

Author: emaste
Date: Tue May 21 21:27:14 UTC 2019
New revision: 348069
URL: https://svnweb.freebsd.org/changeset/base/348069

Log:
  bootpd: avoid the same error indication for different issues

  There were several (apparently) copy-pasted NEED validation macros,
  leading to the same error string for different issues.  Change the
  YP and NTP tags so they are distinct.

  PR:		30863
  Submitted by:	Dan Lukes <dan@obluda.cz>
  Reviewed by:	markj
  MFC after:	1 week
  Event:		Waterloo Hackathon 2019

Changes:
  head/libexec/bootpd/dovend.c
Comment 4 Ed Maste freebsd_committer 2019-05-21 21:28:33 UTC
Duplicate error message tags addressed, null termination not changed.
Comment 5 Dan Lukes 2019-05-22 01:59:06 UTC
Thank you for taking care of this 18 year old bug report. Finally, there was no complete waste of time to report the problem.
As far as the rest of the message is concerned, no one is interested in Windows 95 anymore. Time to forget this ancient piece of history and time to close this bug.
Comment 6 Ed Maste freebsd_committer 2019-05-22 02:23:07 UTC
Error messages addressed and as reported Win95 is no longer relevant.
Comment 7 commit-hook freebsd_committer 2019-05-28 13:15:03 UTC
A commit references this bug:

Author: emaste
Date: Tue May 28 13:14:53 UTC 2019
New revision: 348325
URL: https://svnweb.freebsd.org/changeset/base/348325

Log:
  MFC r348069: bootpd: avoid the same error indication for different issues

  There were several (apparently) copy-pasted NEED validation macros,
  leading to the same error string for different issues.  Change the
  YP and NTP tags so they are distinct.

  PR:		30863
  Submitted by:	Dan Lukes <dan@obluda.cz>
  Reviewed by:	markj

Changes:
_U  stable/12/
  stable/12/libexec/bootpd/dovend.c